Lion - System Requirements

Tell a friend about this page.
All fields required.
Can be sent to only one email address at a time.
Share Facebook Icon Twitter Icon

Lion - System Requirements


Lion - System Requirements

ECU has a license for Lion. If you are considering upgrading your Mac, please verify that any additional software you have installed on your machine is compatible with Lion.

VMWare Fusion or Parallels users may want to increase the amount of memory their machine if it is 4GB or less before considering upgrading.
 

Minimum Requirements:

  • Intel Core 2 Duo, i3, i5, i7 or Xeon Processor
  • 4GB RAM
  • Mac OS X.6.8 already installed


Does NOT support PowerPC-based Macs like PowerMacs, PowerBooks, iBooks, iMacs, eMacs, G4 mac mini or the cube.


Note: iCloud is not supported by ITCS.

Contact US

East Carolina University
106 Austin | Greenville, NC 27858
252.328.9076
© 2014 | Terms of Use | Last Updated: 2014-04-18
Give To East Carolina University